package com.accenture.quickstarts.jbpm.demo;

import javax.inject.Inject;

import org.apache.log4j.Logger;
import org.switchyard.component.bean.Reference;
import org.switchyard.component.bean.Service;

@Service(StartService.class)
public class StartServiceImpl implements StartService {

	private static final Logger LOGGER = Logger.getLogger(StartServiceImpl.class);

	@Inject@Reference
	private JavaDSL javaDSL;
	
	@Override
	public void greet(String value) {
    	LOGGER.info("this message from StartServiceImpl");
    	javaDSL.acceptMessage(value);
	}

}
